using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class PracticePuzzleInfoTask : BaseTask
{
	public List<PracticePuzzleData> PuzzleDataList { get; private set; } = new List<PracticePuzzleData>();

	public PracticePuzzleInfoTask()
	{
		base.type = ApiType.Type.PracticePuzzleInfo;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		JsonData jsonData = base.ResponseData["data"];
		for (int i = 0; i < jsonData.Count; i++)
		{
			PuzzleDataList.Add(new PracticePuzzleData(jsonData[i]));
		}
		return num;
	}
}
